## qt-x11-free 3.1.1-7-jp1

=== Makefile ===
# -*- makefile -*-
#
# Main Makefile for building the Qt library, examples and tutorial.

SHELL=/bin/sh

init: FORCE
	@$(MAKE) all
uninstall: FORCE
	@$(MAKE) qt.uninstall
install: FORCE
	@$(MAKE) qt.install

all: symlinks src-qmake src-moc sub-src sub-tools sub-tutorial sub-examples
	@echo
	@echo "The Qt library is now built in ./lib"
	@echo "The Qt examples are built in the directories in ./examples"
	@echo "The Qt tutorials are built in the directories in ./tutorial"
	@echo
	@echo "Enjoy!   - the Trolltech team"
	@echo

qt.install: qmake-install moc-install src-install tools-install plugins-install
qt.uninstall: qmake-uninstall moc-uninstall src-uninstall tools-uninstall plugins-uninstall

#moc
moc-uninstall: .qmake.cache
	cd src/moc && $(MAKE) uninstall
moc-install: src-moc
	cd src/moc && $(MAKE) install
src-moc: src-qmake FORCE
	cd src/moc && $(MAKE)

#Qt
src-uninstall: .qmake.cache
	cd src && $(MAKE) uninstall
src-install: sub-src
	cd src && $(MAKE) install
sub-src: src-moc .qmake.cache FORCE
	cd src && $(MAKE)

#Tools
tools-uninstall: .qmake.cache
	cd tools && $(MAKE) uninstall
tools-install: sub-tools
	cd tools && $(MAKE) install
sub-tools: sub-plugins FORCE
	cd tools && $(MAKE)

#qmake
qmake-uninstall: .qmake.cache
	cd qmake && $(MAKE) uninstall
qmake-install: src-qmake
	cd qmake && $(MAKE) install
src-qmake: symlinks FORCE
	cd qmake && $(MAKE)

#plugins
plugins-uninstall: .qmake.cache
	cd plugins/src && $(MAKE) uninstall
plugins-install: sub-plugins
	cd plugins/src && $(MAKE) install
sub-plugins: sub-src .qmake.cache FORCE
	cd plugins/src && $(MAKE)

#tutorials
sub-tutorial: sub-src FORCE
	cd tutorial && $(MAKE)
#examples
sub-examples: sub-tools FORCE
	cd examples && $(MAKE)
#docs
doc: FORCE
	qdoc util/qdoc/qdoc.conf

symlinks: .qmake.cache
#	@cd include && rm -f q*.h; ln -s ../src/*/q*.h .; ln -s ../extensions/*/src/q*.h .; rm -f q*_p.h

distclean clean uiclean mocclean:
	cd tools && $(MAKE) $@
	cd src/moc && $(MAKE) $@
	cd src && $(MAKE) $@
	cd tutorial && $(MAKE) $@
	cd plugins/src && $(MAKE) $@
	cd examples && $(MAKE) $@
	cd qmake && $(MAKE) $@
	cd config.tests/unix/stl && $(MAKE) $@
	[ ! -f config.tests/x11/notype/Makefile ] || cd config.tests/x11/notype && $(MAKE) $@

#confclean is actually the same as distclean, except qmake is not cleaned..
confclean:
	cd tools && $(MAKE) distclean
	cd src/moc && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd tutorial && $(MAKE) distclean
	cd plugins/src && $(MAKE) distclean
	cd examples && $(MAKE) distclean
	cd config.tests/unix/stl && $(MAKE) distclean
	[ ! -f config.tests/x11/notype/Makefile ] || cd config.tests/x11/notype && $(MAKE) distclean

.qmake.cache:
	@echo
	@echo '  Qt must first be configured using the "configure" script.'
	@echo
	@test ! /bin/true

FORCE:

=== debian/changelog ===
qt-x11-free (3:3.1.1-7-jp1) unstable; urgency=low

  * Apply JKUG extra patchs using dpatch for improve japanese usablities.
    qt-x11-free-3.1.1-fix-callPosition-XFilterEvent-20021223.diff
    qt-x11-free-3.1.1-qjpunicode-20021223.diff
    qt-x11-free-3.1.1-xim-toUseAtokx-20021223.diff
  * debian/control: Remove actually xlibs-pic depends.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 9 Feb 2003 12:00:00 +0900

qt-x11-free (3:3.1.1-7) unstable; urgency=low

  * ML: The "Arg, can somebody purge typod please?"-release
    - debian/control: Fixed corrupt Build-Depends: line
    - debian/patches: Made the xinerama_pic patch i386-only
    - debian/control: Removed unnecessary xlibs-pic Depends:

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 07 Feb 2003 15:44:00 +0100

qt-x11-free (3:3.1.1-6) unstable; urgency=low

  * ML: Build with lXinerama_pic (for -fPIC) (Closes: #176071, #175075)
  * ML: debian/rules: Convert to dpatch package
  * ML: debian/control: Change Maintainer Address
  * ML: debian/control: Have fontconfig as Depends:
  * ML: debian/control: Fix {Build-}Dependencies for GLU libs (Closes: #182184)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Feb 2003 18:40:00 +0100

qt-x11-free (3:3.1.1-5) unstable; urgency=low

  * ML: Added Build-Dependency for xlibmesa-glu-dev to fix FTBFS
  * ML: Updated debian/patches/01 to reflect latest qt-copy changes
  * ML: Removed patch for hppa (was needed to fix FTBFS)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 22 Feb 2003 08:47:00 +0100
 

qt-x11-free (3:3.1.1-4) unstable; urgency=low

  * RN: debian/rules: remove byacc commands
  * RN: debian/rules: Change back to srcdir = builddir mechanism
  * RN: debian/patches: Help to remove some unused patches
  * RN: debian/maintain: Help to get rid of copying qmake.conf files around
  * RN: debian/rules: Clean up the 'clean' target, make it work again
  * RN: debian/qt3-doc.links: Fix breakage for man-link
  * RN: debian/libqt3{mt-dev,dev}: Create plugins symlink
  * ML: debian/control: Remove xlibmesa-dev dependencies (Closes: #181202)
  * ML: debian/control: Change libqt3-headers back to arch=all
  * ML: debian/patches: Added patch to make sure hppa compiles as it should
  * ML: Create seperate qconfig.h files for non-mt/mt (Conflicts for -dev!)

 -- Martin Loschwitz <madkiss@madkiss.org>  Tue, 18 Feb 2003 19:26:00 +0100
 

qt-x11-free (3:3.1.1-3) unstable; urgency=low

  * RN: debian/libqt3-plugins-headers.install: Removed headers for codecs
  * RN: debian/rules: Fix paths in .prl-files after build has finished
  * RN: debian/libqt3-headers.install: Include some more includes files
  * ML: Ship src/attic as .tar.gz in libqt3-compat-headers (it's obsolete, anyway)
  * ML: Broke out qt3-examples package (saves place in -doc-package and makes sense)
  * ML: debian/maintain/qmake*.conf: Applied patch by Brian Nelson (Closes: #180326)
  * ML: Added debian/maintain/fixqc.sh to fix qmake.cache files during install

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 12 Feb 2003 16:31:00 +0100
 

qt-x11-free (3:3.1.1-2pre3v1) unstable; urgency=low

  * New package: libqt3-compat-headers (Thanks to Ralf Nolden again)
  * debian/patches/01_qtcopy_20030206.dpatch: Updated to qtcopy from 20030206
  * debian/libqt3-mt-dev.install: Move QGL classes here since QGL only works with mt
  * debian/rules: Install .prl files to /usr/share/qt3/lib/
  * debian/rules: Include logo32.png is every html-documentation
  * debian/libqt3c102-mt.links: Symlinks for libqui
  * debian/maintain/{qtconfig,assistant}.desktop: Fix section in menu file
  * debian/rules: Include qmake documentation
  * debian/rules: remove qwindowsxpstyle.h
  * debian/rules: Moved README.Debian to -dev-packages (Closes: #179932)
  * debian/README.Debian: New Version with max 75 chars per line (Closes: #179408)
  * debian/control: Corrected Suggests: fields (Closes: #179838)
  * deban/maintain/qtconfig.desktop: New Version, works Ok now (Closes: #179773)
  * debian/control: libqt3c102-mt now conflicts with libqui1-emb (Closes: #179759)
  * debian/control: qt3-dev-tools now conflicts with qte3-designer (Closes: #179761)
  * debian/qt3-dev-tools.links: Make setting of QMAKESPEC unnecessary (Closes: #178296)
  * debian/qt3-doc.doc-base: Finally, fix doc-base stuff (Closes: #155566)
  * debian/control: libqt3c102 and -mt don't conflict with libqt (Closes: #179768)
  * debian/control: Depend on xlibmesa-gl-dev | libgl-dev
  * debian/control: Added Conflicts: for unofficial libqt3c-packages (Closes: #180078)
  * debian/rules: Don't provide static libraries any longer (Waiting for policy approval!)
  * debian/rules: Header-directory now is /usr/include/qt3
  * debian/rules: build the -non-mt version before the -mt-version
  * For 3:3.1.1-2: Added Conflicts: for qt3-dev-tools <-> uic (Closes: #179396)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 8 Feb 2003 09:34:00 +0100

qt-x11-free (3:3.1.1-2) unstable; urgency=low

  * debian/qt3-dev-tools.install: Include mkspecs for qmake (Closes: #179410)
  * debian/rules: Include logo32.png in qt3-docs (Closes: #179437)
  * debian/control: qt3-dev-tools now has Conflicts: for libqt-dev (moc!)
  * debian/control: Fix Build-Depends: to be xlibmesa-gl-dev instead of -glu-dev.
  * debian/*.links: Readded symlinks for /usr/share/qt3/bin/ (Closes: #179411)
  * debian/rules: Remove undocumented Symlinks (they are deprecated)
  * -dev-packages should not depend on libqt3-plugins-headers (Closes: #179429)
  * This was fixed in 3:3.1.1-1 (Closes: #179155)
  * debian/maintain/qmake*.conf: Fix errors causing FTBFS on hppa/alpha (Closes: #179582)
  * debian/control: Make libqt3-dev/-mt-dev depend on xlibmesa-gl-dev (Closes: #179573)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Mon, 3 Feb 2003 12:49:00 +0100
 

qt-x11-free (3:3.1.1-1) unstable; urgency=low

  * The packages have been redesigned radically.
    - New packages: libqt3-headers, libqt3-i18n, libqt3-plugins-headers,


=== debian/control ===
Source: qt-x11-free
Build-Depends: debhelper (>= 4.1.26), xlibs-dev (>= 4.2.1), libjpeg62-dev, zlib1g-dev, libmng-dev (>= 1.0.3), libpng12-0-dev, libfreetype6-dev, libiodbc2-dev, libmysqlclient10-dev, flex, postgresql-dev, libaudio-dev, libcupsys2-dev, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu1-mesa-dev | libglu-dev , libxft2-dev, dpatch (>= 1.13)
Section: libs
Priority: optional
Maintainer: Martin Loschwitz <madkiss@debian.org> 
Standards-Version: 3.5.8

Package: libqt3c102
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1), libqt3, libqt3-mt
Depends: ${shlibs:Depends}, fontconfig
Conflicts: libqt3-gl, libqt3, libqt3c
Suggests: libqt3c102-psql, libqt3c102-mysql, libqt3c102-odbc, fontconfig (>= 2.1)
Description: Qt Library
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt.so.3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).

Package: libqt3c102-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1), libqt3-helper, libqt3, libqt3-mt
Depends: ${shlibs:Depends}, fontconfig
Conflicts: libqt3-mt, libqui1-emb, libqt3c-mt
Suggests: libqt3c102-mt-psql, libqt3c102-mt-mysql, libqt3c102-mt-odbc, fontconfig (>= 2.1)
Description: Qt GUI Library (Threaded runtime version)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt-mt.so.3, e.g. all KDE3 
 applications.
 
Package: libqt3c102-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-mysql, libqt3c-mysql
Description: MySQL database driver for Qt3
 This package contains the mysql plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).
   
Package: libqt3c102-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-mysql (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-mysql, libqt3c-mt-mysql
Description: MySQL database driver for Qt3 (Threaded)
 This package contains the threaded mysql plugin for Qt3.

Package: libqt3c102-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-odbc, libqt3c-odbc
Description: ODBC database driver for Qt3
 This package contains the odbc plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).
    
Package: libqt3c102-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-odbc (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-odbc, libqt3c-mt-odbc
Description: ODBC database driver for Qt3 (Threaded)
 This package contains the threaded odbc plugin for Qt3.

Package: libqt3c102-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-psql, libqt3c-psql
Description: PostgreSQL database driver for Qt3
 This package contains the unthreaded psql plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead
 (Read README.Debian for instructions).
    
Package: libqt3c102-mt-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-psql (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-psql, libqt3c-mt-psql
Description: PostgreSQL database driver for Qt3 (Threaded)
 This package contains the threaded psql plugin for Qt3.
 
Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1), qt3-tools (<< 2:3.0.3-20020329-1), libqt3-headers (<= 3:3.1.1-3)
Depends: xlibs-dev (>= 4.2.1), libmng-dev (>= 1.0.3), libpng12-0-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3c102 (= ${Source-Version}), libqt3-headers (= ${Source-Version}), qt3-dev-tools (= ${Source-Version}), xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev |  libglu1-mesa-dev | libglu-dev
Suggests: libqt3-i18n, qt3-doc
Conflicts: libqt-dev, libqt3-mt-dev
Description: Qt development files
 Qt is a C++ class library optimized for graphical user interface
 development. This package contains libqt-mt.so symlink, necessary 
 for building threaded Qt applications.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead
 (Read README.Debian for instructions).
    
Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt-mt-dev, libqt3-dev (>= 3.0.5-4), libqt3-helper, libqt3-headers (<= 3:3.1.1-3)
Depends: xlibs-dev (>= 4.2.1), libmng-dev (>= 1.0.3), libpng12-0-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3c102-mt (= ${Source-Version}), libqt3-headers (= ${Source-Version}), qt3-dev-tools (= ${Source-Version}), xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu1-mesa-dev | libglu-dev
Conflicts: libqt-mt-dev
Suggests: libqt3-i18n, qt3-doc
Description: Qt development files (Threaded)
 Qt is a C++ class library optimized for graphical user interface
 development. This package contains the libqt-mt.so symlink, necessary 
 for building threaded Qt applications as well as the libqui.so symlink 
 and the necessary header files for libqui.so. (See README.Debian and 
 the Qt Documentation for instructions on libqui.so)

Package: libqt3-headers
Architecture: all
Section: devel
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev, libqt3-dev
Description:  Qt3 header files
 This package contains all header files for libqt and libqt-mt which come 
 with Qt3. If you want to compile or develop programs which use Qt3, you 
 have to install this package.

Package: libqt3-plugins-headers
Architecture: all
Section: devel
Depends: libqt3-headers (= ${Source-Version})
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev, libqt3-dev
Description: Qt3 plugin header files
 This package exists for convenience reasons only. It contains all
 header files for the classes of Qt that are compiled as plugins and
 aren't necessary for any development with the Qt version of Debian.
 It is there for application programmers who want to develop plugins
 like styles and codecs as example headers how to derive from the according
 plugin classes provided by the Qt library.
 (See README.Debian for instructions and information)

Package: libqt3-compat-headers
Architecture: all
Section: devel
Depends: libqt3-headers (= ${Source-Version})
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev (<= 3:3.1.1-2), libqt3-dev (<= 3:3.1.1-2), libqt3-headers (<= 3:3.1.1-2)
Description: Qt 1.x and 2.x compatibility includes
 This package contains header files that are intended for build
 compatibility for applications that build with Qt3 but still use
 deprecated includes. It is meant as an intermediate solution and 
 these header files are not part of the official Qt3 API.
 All sourcecode that is still using the headers of this package is 
 subject to be changed to use the new header files which are in 
 libqt3-headers.

Package: qt3-dev-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Recommends: libqt3-mt-dev | libqt3-dev
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev, qt3-doc (<= 3:3.1.1-2)
Conflicts: libqt-dev (<< 3:2.3.2-10), uic (<= 3:2.3.2-9)
Description: Qt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using Qt3. These are: qmake, uic and moc.
 For Qt3 development, you most likely want to install this package.
 
Package: qt3-designer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Recommends: qt3-dev-tools
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Suggests: qt3-assistant, qt3-doc
Conflicts: qt-designer (<= 3:2.3.2-9), qt-designer-doc
Description: Qt3 Designer
 The Qt Designer is a GUI design program that interactively lets you
 construct user interfaces for the Qt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by Qt to create applications with easy database accesss through
 Qt. The resulting user interface files can then be converted to
 C++ classes using the uic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: qt3-apps-dev
Architecture: any
Section: devel
Depends: libqt3-mt-dev
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Qt3 Developer applications development files
 This package is intended for developers who want to develop applications 
 using the additional static libraries that ship with the applications
 included with Qt; the Qt Designer and the Qt Assistant.
 It allows integrating additional enhancements into the Qt Designer
 respectively faciliate the Qt Assistant from within your Qt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.
 
Package: qt3-linguist
Architecture: any
Section: devel
Suggests: qt3-assistant
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 Linguist
 This package contains the Qt3 Linguist which provides translators a
 tool perfect for translating any Qt-based application into other
 languages and can be used and installed independently of any Qt
 development files by the translator.
 
Package: qt3-assistant
Architecture: any
Section: x11
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 assistant application
 This package contains the Qt3 Assistant, an easy to use frontend for
 the complete Qt3 documentation and serves as an online help viewer for 
 any Qt program that wants to give the usesr access to online help.
 Within the Qt tools it is used as the help viewer for the online help
 for the Qt3 Designer and Linguist as well as qmake and the Qt 3 API 
 documentation.
 .
 Developers of Qt Application who want to faciliate the Qt Assistant for online
 help display should refer to the README.Debian file for libqt3-mt-dev and
 the package qt3-apps-dev.
 
Package: qt3-qtconfig
Architecture: any
Section: x11
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 Configuration Application
 The Qt Configuration program allows endusers to configure the look
 and behavior of any Qt3 application. It is mostly only necessary
 on systems who don't run KDE because the KDE control center already
 covers this configuration automatically for the users Qt3 applications
 according to his desktop settings in KDE.
 
Package: qt3-dev-tools-embedded
Architecture: any
Section: devel
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Tools to develop embedded Qt applications
 This package contains applications only suitable for developing
 applications with Qt Embedded and/or Qtopia. It provides the QVFB
 program for simulating an embedded device desktop as well as makeqpf
 for converting fonts to embedded fonts suitable for being utilized
 by Qt Embedded applications.

Package: qt3-dev-tools-compat
Architecture: any
Section: devel
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Conversion utilities for Qt3 development
 This package contains some older Qt tools (namely qt20fix qtrename140,
 qm2ts, mergetr, findtr and msg2qm). These tools are needed only by
 application developers who need to migrate any Qt application written
 for Qt 1.x or 2.x over to Qt 3.x. The purpose of the tools are to
 help fixing the changes with include file renaming as well as migrating
 the message file format of Qt 2 translation files or any gettext-based
 translation system to the Qt 3 system.

Package: libqt3-i18n

=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# build variables
export QTDIR=$(shell pwd)

# re-set $(LD_LIBRARY_PATH)
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(QTDIR)/lib:$(OLD_LD_LIBRARY_PATH)

# fix path
OLD_PATH := $(PATH)
export PATH=$(QTDIR)/bin:$(OLD_PATH)

DEB_BUILD_GNU_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# dpatch stuff
include /usr/share/dpatch/dpatch.make

# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libqt3c102
P_DOC = $(DEBIAN)/qt3-doc
P_DEV = $(DEBIAN)/libqt3-dev
P_APPSDEV = $(DEBIAN)/qt3-apps-dev
P_HEADERS = $(DEBIAN)/libqt3-headers
P_QTMTDEV = $(DEBIAN)/libqt3-mt-dev

TMP_INSTALL = $(DEBIAN)/tmp-install

CONFIGURE_OPTS = -prefix "/usr" -docdir "/usr/share/qt3/doc" -headerdir "/usr/include/qt3" \
		-datadir "/usr/share/qt3" -plugindir "/usr/lib/qt3/plugins" -qt-gif \
		-system-zlib -system-libpng -system-libjpeg -system-libmng \
		-plugin-imgfmt-jpeg -qt-imgfmt-png -plugin-imgfmt-mng \
		-plugin-sql-odbc -plugin-sql-psql -plugin-sql-mysql \
		-plugin-style-windows -plugin-style-compact -plugin-style-platinum \
		-plugin-style-sgi -plugin-style-cde -plugin-style-motif \
		-plugin-style-motifplus -I/usr/include/mysql -I/usr/include/freetype2 \
		-I/usr/include/postgresql -I/usr/include/postgresql/server \
		-lfontconfig -no-stl -system-nas-sound -cups -xft \
		-sm -no-exceptions -platform linux-g++ -fast

build: patch libqt-stamp libqt-thread-stamp

	touch build-stamp

libqt-stamp:

	@echo "QTDIR is ${QTDIR}"

	if [ -f "Makefile.cvs" ]; then make -f Makefile.cvs || true; fi

	dh_testdir

	echo yes | ./configure $(CONFIGURE_OPTS) -no-thread -disable-opengl

	make sub-src sub-plugins
	make -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	make INSTALL_ROOT=$(TMP_INSTALL) plugins-install
	
	# rename the plugins to save them from being overidden
	for a in `find $(TMP_INSTALL)/usr/lib/qt3/plugins/ -name '*.so'`; do rename 's/.so/-non-mt.so/' "$$a"; done

	# install qmake.cache file
	install -d $(P_DEV)/usr/share/doc/libqt3-dev/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_DEV)/usr/share/doc/libqt3-dev/qmake.cache

	# install qconfig.h for the non-mt build
	install -m 644 -D include/qconfig.h $(P_DEV)/usr/include/qt3/qconfig.h
	install -m 644 -D include/qmodules.h $(P_DEV)/usr/include/qt3/qmodules.h

	touch libqt-stamp

libqt-thread-stamp:

	dh_testdir

	make -C src clean
	make -C plugins/src clean

	echo yes | ./configure $(CONFIGURE_OPTS) -thread -enable-opengl

	# proceed
	make sub-src sub-plugins sub-tools
	make INSTALL_ROOT=$(TMP_INSTALL) install
	
	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
	cp lib/lib*.a $(TMP_INSTALL)/usr/lib/

	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
	cp bin/findtr $(TMP_INSTALL)/usr/bin/

	# build conv2ui
	cd tools/designer/tools/conv2ui && make
	cp bin/conv2ui $(TMP_INSTALL)/usr/bin/conv2ui

	# build qvfb
	cd tools/qvfb/ && make
	cp tools/qvfb/qvfb $(TMP_INSTALL)/usr/bin/qvfb

	# install qmake.cache file
	install -d $(P_QTMTDEV)/usr/share/doc/libqt3-mt-dev/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_QTMTDEV)/usr/share/doc/libqt3-mt-dev/qmake.cache
	
	# install qconfig.h for the mt
	install -m 644 -D include/qconfig.h $(P_QTMTDEV)/usr/include/qt3/qconfig.h
	install -m 644 -D include/qmodules.h $(P_QTMTDEV)/usr/include/qt3/qmodules.h

	touch libqt-thread-stamp

clean: unpatch

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-stamp libqt-thread-stamp

	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	if [ -f "src/Makefile" ]; then \
		make -C src clean; make -C plugins/src distclean; make -C tools distclean; \
		make -C tools/makeqpf distclean; make -C tools/qconfig distclean; make -C tools/qvfb distclean; \
		make -C tools/msg2qm distclean; make -C tools/mergetr distclean; make -C tools/qembed distclean; \
		make -C tools/designer/tools/conv2ui distclean; make -C tools/designer/tools/createcw distclean; \
		make -C tools/designer/plugins/glade distclean; make -C tools/designer/plugins/qglwidget distclean; \
		make -C config.tests/unix/largefile distclean; make -C qmake distclean; \
	fi

	-rm -rf .qmake.cache src/.qmake.internal.cache tools/designer/designer/.qmake.internal.cache qmake/GNUmakefile \
		config.status bin/moc bin/qmake src/moc/*.o mkspecs/default lib/lib* `pwd`/debian/doc $(TMP_INSTALL) \
		src/tools/qconfig.cpp include/qconfig.h include/qmodules.h plugins/accessibleqtwidgets.prl

	# delete generated Makefiles but save the toplevel Makefile
	-mv Makefile Makefile.save
	for a in `find . -name 'Makefile'`; do rm -f "$$a"; done
	-mv Makefile.save Makefile

	dh_clean

install: build

	dh_testdir
	dh_testroot
	
	dh_clean -i
	dh_installdirs

	# fix .prl files
	for a in debian/tmp-install/usr/lib/*prl; do cat "$$a" | sed \
	"s#$(QTDIR)#/usr/share/qt3#g" > "$$a".new && mv "$$a".new "$$a"; done

	dh_install --sourcedir=debian/tmp-install

	## build qt3-doc package
	# copy all docs there first
	install -d $(P_DOC)/usr/share/qt3/doc/html/
	for a in `cd $(TMP_INSTALL)/usr/share/qt3/doc/html/ && find`; do cp $(TMP_INSTALL)/usr/share/qt3/doc/html/"$$a" $(P_DOC)/usr/share/qt3/doc/html/; done

	## build designer package documentation
	# qt3-designer
	install -d `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/
	for a in `cat doc/html/designer*.{html,xml} | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/ && \
	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
	rm -rf outputfile `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/logo32.png
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/designer*

	## build linguist package documentation
	# qt3-linguist
	install -d `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/
	for a in `cat doc/html/linguist*.{html,xml} | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/ && \
	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
	rm -rf outputfile `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/logo32.png
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/linguist*
	
	## qt3-assistant
	# remove docs from qt3-doc for qt-assistant
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/assistant*

	## all packages
	# install the overrides files
	for a in debian/overrides/*; do install -d debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides; done
	for a in debian/overrides/*; do cp "$$a" debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides/`echo	"$$a" | sed 's/debian\/overrides\///g'`; done
	
binary-indep: build install

	# Build architecture-independent files here.
	dh_testdir
	dh_testroot
	
	dh_installdocs -i -XREADME.Debian
	dh_installchangelogs -i changes-3.1.1
								
	find doc/man -path \*/CVS -prune -o -print | cpio -pmd $(P_DOC)/usr/share/qt3/doc/
			
	-rm -f `find $(P_DOC)/usr/share/qt3/doc/ -name "*.o"`
	find $(P_DOC) -type f -perm +0100 | xargs --no-run-if-empty rm -f

	install -d $(P_DOC)/usr/share/man/man3/
	mv $(P_DOC)/usr/share/qt3/doc/doc/man/man3/* $(P_DOC)/usr/share/man/man3/
	-rm -rf $(P_DOC)/usr/share/qt3/doc/doc

	# other i18n files
	for a in `cd translations/ && find . -name 'qt_*.qm' | sed 's/qt_//' | sed 's/\.qm//' | sed 's/\.\///g'`; do \
	install -D `pwd`/translations/qt_"$$a".qm `pwd`/debian/libqt3-i18n/usr/share/qt3/translations/qt_"$$a".qm; done

	# logo32.png

## qt-x11-free 3.2.3

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id: qt/Makefile   3.2.3   edited May 13 09:08 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:

## qt-x11-free 3.3.7

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id: qt/Makefile   3.3.7   edited May 27 2003 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:
